Esta consulta es de hace 4 años. Tenga eso en cuenta.
mromero_1e093f
mromero_1e093f
España

Desde que he actualizado a la última versión del núcleo...

Desde que he actualizado a la última versión del núcleo me aparece los siguientes errores en el plugin dashboard Avanzado:

Error al ejecutar la consulta 0: Cannot change column 'idepigrafe': used in a foreign key constraint 'ca_co_cuentas_epigrafes2'. La secuencia ocupa la posición 1923

Error al comprobar la tabla co_cuentas

Plugin: dashboard_avanzado
30-05-2017 08:11:32   30-05-2017 12:02:56   73   [NeoRazorX]
También salen errores cuando intento aprobar un albarán:

Error al ejecutar la consulta 0: Cannot change column 'idepigrafe': used in a foreign key constraint 'ca_co_cuentas_epigrafes2'. La secuencia ocupa la posición 82

Error al ejecutar la consulta 0: Cannot change column 'idasiento': used in a foreign key constraint 'ca_co_partidas_co_asientos2'. La secuencia ocupa la posición 90

Error al comprobar la tabla co_cuentas

Error al comprobar la tabla co_partidas
Cuando voy a recibos dentro de una factura, también salen errores:

Error al ejecutar la consulta 0: Cannot change column 'idfactura': used in a foreign key constraint 'ca_reciboscli_facturascli'. La secuencia ocupa la posición 48

Error al comprobar la tabla reciboscli

Error al comprobar la tabla recibosprov
Parece que el problema es la nueva función para comprobar las claves ajenas. Sustituye el archivo base/fs_postgresql.php por este:
https://raw.githubusercontent.com/NeoRazorX/facturascripts_2015/6acd82dac4f4e474d8818c51a8d438cef9ed36c7/base/fs_postgresql.php
yo no uso postgressql uso MySQL ¿es el mismo archivo?
Entonces actualiza, acabo de lanzar actualización.
Solucionado.


Copyright (c) 2013-2020 FacturaScripts